/*
Theme Name: Barbosa Customify
Version: 1.0
Description: A child theme of Customify
Author: Alfredo Barbosa
Template: customify
*/

@font-face {
    font-family: Barbosa Gothic;
    src: url("https://etcsl.com.br/wp-content/themes/barbosa-customify/Barbosa Gothic.ttf");
	font-display: swap;
    font-weight: normal;
    font-style: normal;
}

#site-content {
	top: 2px;
	position: relative;
}

.entry-content p  {
	text-align: justify;
}
/* arrumar os nomes dos professores nas páginas dos cursos*/
.curso-professor p {
	text-align: left;
}

.alignleft {
	margin-right: 20px;
}

.alignright {
	margin-left: 20px;
}

fieldset {
	display: inline-block;
	margin: unset;
}

/* Font Awesome */

.fab, .fas, .far, .fal {
	margin-right: 0.5em;
}

/* WP Block Gallery */

.wp-block-gallery {
    display: flex;
    flex-wrap: wrap;
}

/* Shortcodes ultimate */

.su-subpages .page_item {
	display: inline-block;
    vertical-align: top;
    margin: 10px;
    border: 1px solid #e00000;
    width: 200px;
    height: 100px;
}

.menu-item a,
.su-siblings .page_item a,
.su-subpages .page_item a {
    display: block;
    padding: 10px !important;
    width: 100%;
    height: 100%;
}

.menu-item a:hover,
.su-siblings .page_item a:hover,
.su-subpages .page_item a:hover {
    background: #e00000;
	color: white;
}

.su-slider {
    max-width: 100%;
}

/* Gallery */

.gallery-item {
    padding: 10px;
}

.wp-block-file {
	display: flex;
	justify-content: space-between;
    margin-bottom: 0 !important;
    padding: 0.5em;
}

.wp-block-file:nth-of-type(odd) {
    background: #e0e0e0;
}

.wp-block-file .wp-block-file__button {
	align-self: flex-end;
	color: inherit;
}

/* Document Gallery */

.document-gallery .document-icon {
    text-align: unset;
}

.document-gallery .document-icon-row:nth-child(odd) {
    background: #f0f0f0;
}

.document-gallery a {
	font-size: unset !important;
	line-height: unset !important;
}

.document-gallery img {
	width: 1.5em !important;
}

.document-gallery .title {
	display: unset !important;
	vertical-align: top;
}

/* Barbosa Customify */

h1, .site-title, .page-title {
	font-family: Barbosa Gothic, Ubuntu, sans-serif;
}

.site-title a {
	color: #e00000 !important;
}

.page-title {
	border-bottom: 1px solid #e00000;
    padding: 0.5em;
}

a:hover {
	color: #e00000;
}

.nav-menu a:hover {
	background: #e00000 !important;
	color: white !important;
}

/* Homepage */

.wp-block-latest-posts {
	display: grid !important;
	grid-template-columns: 1fr 1fr 1fr 1fr;
}

.advgb-post-wrapper {
    display: none;
}

.advgb-post-thumbnail img {
	max-height: 500px;
}

.wp-block-latest-posts>li {
	width: unset !important;
}

@media(max-width: 1024px) {
	.wp-block-latest-posts.columns-2 {
		grid-template-columns: 1fr;
	}
	.wp-block-latest-posts.columns-3 {
		grid-template-columns: 1fr 1fr;
	}
	.wp-block-latest-posts.columns-4 {
		grid-template-columns: 1fr 1fr 1fr;
	}
}

@media(max-width: 800px) {
	.wp-block-latest-posts.columns-3 {
		grid-template-columns: 1fr;
	}
	.wp-block-latest-posts.columns-4 {
		grid-template-columns: 1fr 1fr;
	}
}

/* posts and professors */

.home .advgb-post-thumbnail {
    /*height: 300px !important;*/
	
}

img {
	object-fit: scale-down !important;
}

.professor .wp-post-image {
    float: left;
    margin-right: 40px;
}

.archive .professor {
	padding-bottom: 20px;
	border-bottom: 1px solid gray;
	margin-bottom: 20px;
}

.curso-professores {
	display: grid;
	grid-template-columns: 1fr 1fr 1fr 1fr;
}

.curso-professor {
	margin: 10px;
}

@media(max-width: 1024px) {
	.curso-professores {
		grid-template-columns: 1fr 1fr 1fr;
	}	
}

@media(max-width: 800px) {
	.curso-professores {
		grid-template-columns: 1fr 1fr;
	}
}

/* Curso */

.curso-documentos {
	display: grid;
	grid-template-columns: 1fr 1fr 1fr;
}

@media(max-width: 800px) {
	.curso-documentos {
		display: block;
	}
}

/* Trabalhos */

.trabalho-arquivo {
	width: 100%;
	height: 100vh;
}

.busca-trabalhos fieldset {
	margin: 10px 20px;
}

.trabalhos .entry {
    margin-bottom: 10px;
    padding: 10px;
    box-shadow: 1px 1px 5px gray;
}

.trabalho #autor {
	margin-right: 20px;
}

/* Correção de bugs */

.interface-interface-skeleton__footer {
	display: none !important;
}

.wp-block-gallery.has-nested-images figure.wp-block-image {
	flex-grow: unset;
}
